## checksecurity 2.0.7

=== Makefile ===
#
#  This is the makefile for the Debian checksecurity package.
#
#  It installs the software in $(PREFIX)/usr/sbin, etc.
#


PREFIX=
CONFDIR=$(PREFIX)/etc
PLUGINDIR=$(PREFIX)/usr/share/checksecurity


install: clean
	install -d $(PREFIX)/usr/sbin
	install -d $(PREFIX)/usr/share/man/man8
	install -d $(CONFDIR)
	install -d $(CONFDIR)/checksecurity
	install -d $(PLUGINDIR)
	cp bin/checksecurity $(PREFIX)/usr/sbin
	chown root:root $(PREFIX)/usr/sbin/checksecurity
	chmod 755 $(PREFIX)/usr/sbin/checksecurity 
	cp man/checksecurity.8 $(PREFIX)/usr/share/man/man8
	cp man/check-diskfree.8 $(PREFIX)/usr/share/man/man8
	cp man/check-passwd.8 $(PREFIX)/usr/share/man/man8
	cp man/check-setuid.8 $(PREFIX)/usr/share/man/man8
	cp etc/check-setuid.conf $(CONFDIR)/checksecurity
	chmod 744 $(CONFDIR)/checksecurity/check-setuid.conf
	cp etc/check-passwd.conf $(CONFDIR)/checksecurity
	chmod 744 $(CONFDIR)/checksecurity/check-passwd.conf
	cp etc/check-diskfree.conf $(CONFDIR)/checksecurity
	chmod 744 $(CONFDIR)/checksecurity/check-diskfree.conf
	cp etc/global-checksecurity.conf $(CONFDIR)/checksecurity.conf
	cp plugins/check-* $(PLUGINDIR)
	chown root:root $(PLUGINDIR)/check-*
	chmod 755 $(PLUGINDIR)/check-*
	chmod -x $(CONFDIR)/checksecurity/*.conf

uninstall:
	rm -f $(PREFIX)/usr/sbin/checksecurity
	rm -f $(PREFIX)/usr/share/man/man8/checksecurity.conf.8
	rm -f $(CONFDIR)/checksecurity.conf
	rm -rf $(CONFDIR)/checksecurity
	rm -rf $(PLUGINDIR)

clean:
	-find . -name '*~' -print | xargs rm -f
	-rm -f build-stamp
	-rm -f debian/files

## checksecurity 2.0.5.2

=== debian/changelog ===
checksecurity (2.0.5.2) unstable; urgency=low

  * NMU fixing bugs introduced in previous NMU (approved by maintainer)
    - Preinst now sorts /var/log/setuid.today before the upgrade 
      (Closes: #239340)
    - Check_setuid does not guard against CHECKSECURITY_EMAIL being
      undefined since it's disabled per default (Closes: #239336)
    - Introduced an alternative fix for the Arla partitions and
      add new arla type 'nnpfs' and 'binfmt_misc' (Closes: #239314)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 22 Mar 2004 14:26:13 +0100

checksecurity (2.0.5.1) unstable; urgency=low

  * NMU with maintainer's approval
   (note this is not related to the BSP, that's why it's uploaded to 0-day)
    - Added sysfs to CS_TYPES (Closes: #229723)
    - Updated Spanish debconf translation provided by Javier Fernandez-Sanguino
      (Closes: #229010)
    - Added Danish debconf translation provided by Claus Hindsgaul 
      (Closes: #233705)
    - Updated Japanese debconf translation provided by Kenshi Muto
      (Closes: #237781)
    - Sort setuid files by name instead of by inode # (Closes: #202077)
    - Guard against undefined vars in check-setuid(Closes: #154390)
    - Fixed typo in check-diskfree.conf (Closes: #229104)
    - Added LOGFILE definition in cron task, this would make it easier
      to switch to a different logfile in order to fix #232951. However,
      the older LOGFILES would need to be handled in order to avoid
      cruft in the system.
    - Added a README.Debian that explains why the conffile is handled 
      as it is (Closes: #198933)
    - Check-diskfree now guards agains undefined vars and handles 
      mount points with spaces in the patch (Closes: #190928)
    - Added comment in checksecurity.conf file indicating how you can
      disable check-setuid completely. This will have to suffice
      until check-security provides a better mechanism for fine-grane
      control of plugin execution (Closes: #177120)
    - Filter only xfs mounts if the devine name is arla (Closes: #171980)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 14 Mar 2004 22:29:16 +0100

checksecurity (2.0.5) unstable; urgency=low

  * Applied the Brazilian Portuguese translation to Debconf.
    (Closes: #218818) thanks to Andre Luis Lopes
  * Applied the updated French debconf translations.
    (Closes: #213791) thanks to  Christian Perrier.
  * No output from check-diskfree unless there is at least one "error".
	
 -- Steve Kemp <skx@debian.org>  Thu,  20 Nov 2003 09:53:42 +0000

checksecurity (2.0.4) unstable; urgency=low

  * Fixed the last remaining bash-ism.
    (Closes: #216487) (Closes: #21650) (Closes: #214564) (Closes: #217419)
  * Depend upon Perl.
    (Closes: #219363)
  * Document plugin directory correctly in manpage for checksecurity
    (Closes: #215758)
  * Mention 'check-diskfree' in README.Debian
    (Closes: 218734)

 -- Steve Kemp <skx@debian.org>  Sat,  15 Nov 2003 20:45:02 +0000

checksecurity (2.0.3) unstable; urgency=low

  * Don't use obsolete diff option.
    (Closes: #214125) Thanks to Aaron Schrab
  * Only test filesystems for size which start with '/'
    This means we work with regardless of local.
    (Closes: #212710) thanks to Hile Tuohela 
  * Removed several bashisms from check-setuid
    (Closes: #212650)
  * Added manpages for `check-diskfree` and `check-passwd`

 -- Steve Kemp <skx@debian.org>  Thur,  09 Oct 2003 22:24:10 +0000

checksecurity (2.0.2) unstable; urgency=low

  * Only test for empty passwords if /etc/shadow exists.
    (Closes: #212587)
  * Testing for free disk space now succeeds when the mount point 
    has a long name.  
    (Closes: #212388) Thanks to Chung-chieh Shan for the patch.
  * All relevent files in /etc/ are now marked as conffiles.
    (Closes: #212586)
  * Install the manpage into the correct directory.
  * Ignore mountpoints of type xfs.
    (Closes: #171980)
  * Added Japanese debconf tranlations.
    (Closes: #210712) Thanks to Kenshi Muto for the translation.

 -- Steve Kemp <skx@debian.org>  Wed,  23 Sep 2003 18:44:48 +0000

checksecurity (2.0.1) unstable; urgency=low

  * Fixed the handling of the check-setuid.conf file.
    (Closes: #212306) thanks to Michael Schuerig
  * Use ':' instead pf '.' when using chown.
    (Closes: #205369).
  * Applied a patch to clearup the check-setuid.conf file.
    (Closes: #210242) thanks to Andrew Shugg.
 
 -- Steve Kemp <skx@debian.org>  Tue,  22 Sep 2003 10:23:11 +0000

checksecurity (2.0.0) unstable; urgency=low

  * Created new configuration file.
  * Created makefile installation system.

 -- Steve Kemp <skx@debian.org>  Tue,  26 Aug 2003 20:58:02 +0000

checksecurity (1.0.4) unstable; urgency=low

  * This is the penultimate release before we move to a 
    more comprensive plugin based system.  You have been
    warned.
  * Switched to gettext-based debconf templates
    (Closes: #205801) thanks to Christian Perrier
  * Added French translation of gettext templates
    (Closes: #207117) thanks to Christian Perrier
  * Fixed typo in checksecurity.conf
  * Ignore mounts of type "bind"
    (Closes: #176090) thanks to Martin Schwenke

 -- Steve Kemp <skx@debian.org>  Mon,  25 Aug 2003 23:37:27 +0000

checksecurity (1.0.3) unstable; urgency=low

  * Updated the maintainer field, to make me the effective maintainer.

 -- Steve Kemp <skx@debian.org>  Wed,  16 Jul 2003 08:37:22 +0000

checksecurity (1.0.2) unstable; urgency=low

  * New maintainer.

 -- Steve Kemp <skx@debian.org>  Tues,  14 Jul 2003 09:11:20 +0000

checksecurity (1.0.1) unstable; urgency=low

  * Add overrides file for two lintian warnings. Debconf is used solely
  to display a message in the postinst on initial installation. It can't
  be done in the configuration stage because it must happen after the cron
  install.
  * Add missing debconf dependency.

 -- Steve Greenland <stevegr@debian.org>  Sun,  8 Jun 2003 15:20:13 -0500

checksecurity (1.0.0) unstable; urgency=low



=== debian/control ===
Source: checksecurity
Section: admin
Priority: optional
Maintainer: Steve Kemp <skx@debian.org>
Standards-Version: 3.5.9
Build-Depends-Indep: debhelper (>= 4.1.16)

Package: checksecurity
Architecture: all
Depends: cron (>= 3.0pl1-74), debconf (>= 0.5), perl (>= 5.8.0)
Recommends: 
Suggests: lockfile-progs
Conflicts: lockfile-progs (<< 0.1.7)
Replaces: cron
Provides:
Description: basic system security checks
 Checksecurity does some very basic system security checks, such as
 looking for changes in which programs have setuid permissions, and that
 remote filesystems are not allowed to have runnable setuid programs.
 Note that these are not to be considered in any way complete, and
 you should not rely on checksecurity to actually provide any useful
 information concerning the security or vulnerability of your system.
 .
 The lockfile-progs package is only a "Suggests" because of the poor
 way that dselect handles "Recommends", but I do strongly suggest that
 you install it; it prevents /etc/cron.daily/standard from running multiple
 times if something gets jammed.
 .
 Checksecurity was previously part of the cron package.

## checksecurity 2.0.9ubuntu1

=== debian/changelog ===
checksecurity (2.0.9ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Downgrade all Recommends to Suggests.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 29 May 2008 09:59:37 +0200

checksecurity (2.0.9) unstable; urgency=low

  * The "where did I leave my head release"
  * Acknowledge the 2.0.7-10.1 NMU, the updated PO files from some languages
    had not been included in the 2.0.7 release
  * Do not search fuse filesystems by default (Closes: #467299)
  * Lintian fix: remove debian/files from source (Closes: 451054)
  * Allow users to select cron facility by depending on cron | anacron |
    chrony (Closes: 375058)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Wed, 16 Apr 2008 10:09:03 +0200

checksecurity (2.0.8) unstable; urgency=low

  * Make it (again) a Debian native package.
  * Add a new check-sockets plugin to check for open sockets. Default
    configuration will run this daily.
  * Modify check-setuid so that the changes are actually preserved
    (no .changes file were getting generated)
  * Change the logrotate definition so that it will not rotate empty files.
  * Introduce a /var/log/checksecurity/ where all the new plugin logs
    will get saved to. Preserve /var/log/setuid for the time being
    (but it should be moved there)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 08 May 2007 01:01:34 +0200

checksecurity (2.0.7-11ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Downgrade all Recommends to Suggests.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 14 May 2007 13:01:51 +0200

checksecurity (2.0.7-11) unstable; urgency=low

  * New translations:
    - Galician translation provided by Jacobo Tarrio (Closes: #413460)
    - Italian translation provided by Luca Monducci (Closes: #418173)
  * Have etc/check-setuid.conf default LOGDIR point to /var/log/setuid
  * Consistent use of email alerts:
    - Move the CHECKSECURITY_EMAIL configuration file over to the global
      checksecurity configuration file as more than one script will use this.
      (check-setuid and check-diskfree at least)
    - Make checksecurity preserve the CHECKSECURITY_EMAIL environment variable
      for all plugins unless redefined in the plugin configuration file.
    - Make check-diskfree use CHECKSECURITY_EMAIL (instead of MAILTO) to
      mail the results of the diskfree check to the defined user. 
     (Closes: #232951)
  * Remove CHECKSECURITY_GREPOUT definition from check-setuid 
    (Closes: #334435)
  * Fix spelling errors in the (root) README.Debian file

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 07 May 2007 23:48:14 +0200

checksecurity (2.0.7-10.1ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Downgrade all Recommends to Suggests.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Dec 2006 14:54:03 +0000

checksecurity (2.0.7-10.1) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Debconf templates translations:
    - Swedish added. Closes: #331305
    - Vietnamese added. Sent during the call for updates of the NMU campaign.
    - Brazilian Portuguese updated. Sent during the call for updates of
      the NMU campaign.
    - Russian added. Sent during the call for updates of the NMU campaign.
    - Dzongkha added. Sent during the call for updates of the NMU campaign.
    - Basque added. Sent during the call for updates of the NMU campaign.

 -- Christian Perrier <bubulle@debian.org>  Thu, 16 Nov 2006 06:01:25 +0100

checksecurity (2.0.7-10ubuntu1) edgy; urgency=low

  * Downgrade all Recommends to Suggests

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 15 Aug 2006 10:22:13 -0700

checksecurity (2.0.7-10) unstable; urgency=low

  * Clean up all logfiles on purge as required by policy.
  * Modified checksecurity.weekly to use its own lockfile and fix the
    error message. We should not be using the same lockfile as
    checksecurity.daily since the tests being run by default don't overlap
    (Closes: #326871)
  * Use debhelper compatibility version 4
  * Fixed FSF address in debian/copyright
  * Updated the debian/copyright file with new authors

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 21 Sep 2005 00:43:14 +0200

checksecurity (2.0.7-9) unstable; urgency=low

  * Added dependancies for "| debconf-2.0" as requested by Joey Hess

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu,  4 Aug 2005 19:08:46 +0200

checksecurity (2.0.7-8) unstable; urgency=low

  * Prevent the setuid checks from traversing AFS filesystems under
    /vicep (Closes: #320407)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon,  1 Aug 2005 21:25:16 +0200

checksecurity (2.0.7-7) unstable; urgency=low

  * Added Vietnamese debconf translation provided by Clytie Siddall (Closes: #309632)
  * Recommend logwatch as an alternative to logcheck (Closes: #315019)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat,  9 Jul 2005 15:43:04 +0200

checksecurity (2.0.7-6) unstable; urgency=low

  * Checksecurity checks if you are root (effective uid) before running and
    so does the check-passwd plugin too.
  * Proper GPL header to the checksecurity program as well as to all of
    the plugins.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu,  7 Apr 2005 09:28:24 +0200

checksecurity (2.0.7-5) unstable; urgency=low

  * Added new configuration files to the conffiles definition (lintian
    error)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 22 Mar 2005 02:25:20 +0100

checksecurity (2.0.7-4) unstable; urgency=low

  * Use proper user for the logrotation facility (Closes: #299896) 

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 17 Mar 2005 09:24:44 +0100

checksecurity (2.0.7-3) unstable; urgency=low

  * Fix postinst's check for files so that the return code is always
    true, have the script run with -e and add also an 'exit 0'


=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: checksecurity
 Section: admin
 Priority: optional
-Maintainer: Steve Kemp <skx@debian.org>
-Standards-Version: 3.5.9
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
+Standards-Version: 3.6.1
 Build-Depends-Indep: debhelper (>= 4.1.16)
 
 Package: checksecurity
 Architecture: all
-Depends: cron (>= 3.0pl1-74), debconf (>= 0.5), perl (>= 5.8.0)
-Recommends: 
-Suggests: lockfile-progs
+Depends: cron (>= 3.0pl1-74) | anacron | chrony, debconf (>= 0.5) | debconf-2.0, perl (>= 5.8.0)
+Suggests: apt-watch | cron-apt, lockfile-progs, tiger, logcheck, tripwire | integrit | aide | samhain | fcheck
 Conflicts: lockfile-progs (<< 0.1.7)
 Replaces: cron
 Provides:
@@ -17,6 +17,7 @@
  Checksecurity does some very basic system security checks, such as
  looking for changes in which programs have setuid permissions, and that
  remote filesystems are not allowed to have runnable setuid programs.
+ .
  Note that these are not to be considered in any way complete, and
  you should not rely on checksecurity to actually provide any useful
  information concerning the security or vulnerability of your system.

## checksecurity 2.0.11

=== debian/changelog ===
checksecurity (2.0.11) unstable; urgency=low

  * Debconf Translation changes:
    - Included Portuguese debconf translation, submitted by Rui Branco (Closes: 489378)
    - Fixed "Project-Id-Version" field in Japanese translation

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Mon, 28 Jul 2008 22:47:07 +0200

checksecurity (2.0.10) unstable; urgency=low

  * Remove chrony from the list of Depends: since it does not actually provide
    a task scheduler, change it to fcron (Closes: #478203)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Tue, 29 Apr 2008 02:46:50 +0200

=== debian/rules ===
#!/usr/bin/make -f
# 
# Rules file for checksecurity
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	dh_clean -k

# Build architecture-independent files here.
binary-arch: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-indep: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/checksecurity
	$(MAKE) install PREFIX=$(CURDIR)/debian/checksecurity
	install -m 644 debian/overrides debian/checksecurity/usr/share/lintian/overrides/checksecurity

	dh_installdocs 
	dh_installcron
	dh_installlogrotate
	dh_installchangelogs 
	dh_installdebconf
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## checksecurity 2.0.11ubuntu1

=== debian/changelog ===
checksecurity (2.0.11ubuntu1) jaunty; urgency=low

  * Merge from Debian unstable (LP: #295260), Ubuntu remaining changes:
    - Downgrade all Recommends to Suggests.
    - Downgrade fcron from Depends to Suggest, it is in universe
      and we are already depending on anacron

 -- Pedro Fragoso <ember@ubuntu.com>  Wed, 05 Nov 2008 02:28:39 +0000

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 Package: checksecurity
 Architecture: all
-Depends: cron (>= 3.0pl1-74) | anacron | chrony, debconf (>= 0.5) | debconf-2.0, perl (>= 5.8.0)
-Suggests: apt-watch | cron-apt, lockfile-progs, tiger, logcheck, tripwire | integrit | aide | samhain | fcheck
+Depends: cron (>= 3.0pl1-74) | anacron, debconf (>= 0.5) | debconf-2.0, perl (>= 5.8.0)
+Suggests: apt-watch | cron-apt, lockfile-progs, tiger, logcheck, tripwire | integrit | aide | samhain | fcheck, fcron
 Conflicts: lockfile-progs (<< 0.1.7)
 Replaces: cron
 Provides:

## checksecurity 2.0.13

=== debian/changelog ===
checksecurity (2.0.13) unstable; urgency=low

  * Do not report 'disk full' for filesystems mounted under /media.
    This includes the cdrom as well as possibly some other removal
    media like USB memories. Thanks to Tim Connors for
    detecting this bug and providing a patch (Closes: #514306)
  * Add some information in the both check-setuid's manpage and the
    configuration file related to false positives generated from /dev changes
    when a system is rebooted (due to changes in timestamps). And provide
    instructions on how to remove them.
  * Extend check-socket to make it possible to exclude certain lines from
    the output through the CHECKSECURITY_IGNORELINES variable. 
    (Closes: #522749)
  * Added the 'lustre' filesystem to the network filesystem list in
    the default check-setuid.conf (Closes: #502421)
  * Change Makefile to include etc/check-socket.conf in the package.

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Tue, 26 May 2009 01:14:49 +0200

checksecurity (2.0.12) unstable; urgency=medium

  * Fix bug in plugins/check_sockets which prevented it from being 
    actually useful. Thanks to Richard Kapolnai for detecting this
    bug and providing a patch. (Closes: #520654)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sat, 21 Mar 2009 23:46:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: checksecurity
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
+Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
 Standards-Version: 3.6.1
 Build-Depends-Indep: debhelper (>= 4.1.16)
 
 Package: checksecurity
 Architecture: all
-Depends: cron (>= 3.0pl1-74) | anacron, debconf (>= 0.5) | debconf-2.0, perl (>= 5.8.0)
-Suggests: apt-watch | cron-apt, lockfile-progs, tiger, logcheck, tripwire | integrit | aide | samhain | fcheck, fcron
+Depends: cron (>= 3.0pl1-74) | anacron | fcron, debconf (>= 0.5) | debconf-2.0, perl (>= 5.8.0)
+Recommends: tiger, logcheck, tripwire | integrit | aide | samhain | fcheck
+Suggests: apt-watch | cron-apt, lockfile-progs
 Conflicts: lockfile-progs (<< 0.1.7)
 Replaces: cron
 Provides:

## checksecurity 2.0.13ubuntu1

=== debian/changelog ===
checksecurity (2.0.13ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - Downgrade all Recommends to Suggests.
    - Downgrade fcron from Depends to Suggest, it is in universe
      and we are already depending on anacron

 -- Muharem Hrnjadovic <muharem@ubuntu.com>  Wed, 03 Jun 2009 12:25:55 +0200

checksecurity (2.0.12ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: LP: #370225)
    - Downgrade all Recommends to Suggests.
    - Downgrade fcron from Depends to Suggest, it is in universe
      and we are already depending on anacron

 -- Bhavani Shankar <right2bhavi@gmail.com>  Fri, 01 May 2009 11:28:27 +0530

## checksecurity 2.0.13ubuntu2

=== debian/changelog ===
checksecurity (2.0.13ubuntu2) lucid; urgency=low

  [ Matt Zimmerman ]
  * plugins/check-setuid: Use ionice to set idle I/O scheduling priority for
    find(1) across the whole filesystem.

  [ James Westby ]
  * plugins/check-setuid: Use the -t option to ionice so that failures to set
    I/O priority don't stop the command running.
    - Depend on util-linux (>= 2.15~rc1-1) to ensure the feature is available.
    - Thanks Colin Watson.

 -- James Westby <james.westby@ubuntu.com>  Wed, 21 Apr 2010 13:45:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: checksecurity
 Section: admin
 Priority: optional
-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
 Standards-Version: 3.6.1
 Build-Depends-Indep: debhelper (>= 4.1.16)
 
 Package: checksecurity
 Architecture: all
-Depends: cron (>= 3.0pl1-74) | anacron | fcron, debconf (>= 0.5) | debconf-2.0, perl (>= 5.8.0)
-Recommends: tiger, logcheck, tripwire | integrit | aide | samhain | fcheck
-Suggests: apt-watch | cron-apt, lockfile-progs
+Depends: cron (>= 3.0pl1-74) | anacron, debconf (>= 0.5) | debconf-2.0, perl (>= 5.8.0), util-linux (>= 2.15~rc1-1)
+Suggests: apt-watch | cron-apt, lockfile-progs, tiger, logcheck, tripwire | integrit | aide | samhain | fcheck, fcron
 Conflicts: lockfile-progs (<< 0.1.7)
 Replaces: cron
 Provides:

## checksecurity 2.0.14

=== debian/changelog ===
checksecurity (2.0.14) unstable; urgency=low

  * plugins/check-setuid:
       - Integrate changes to from Ubuntu to make use of ionice when calling
         find. (Closes: #578640)
       - Use the -ignore_readdir_race option when calling find to avoid
         error messages when encountering stale files (Closes: #583809)
  * etc/global-checksecurity.conf: Adjust comments associated to  
    CHECKSECURITY_EMAIL to point to bsd-mailx instead of mailx and 
    remove reference to cron. (Closes: #541636)
  * debian/control: Depend on util-linux (>= 2.15~rc1-1) which provides
    ionice.
  * debian/compat: Change from 4 to 5
  * debian/rules: Adjust calls to dh_clean

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Wed, 27 Oct 2010 23:44:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: checksecurity
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
+Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
 Standards-Version: 3.6.1
 Build-Depends-Indep: debhelper (>= 4.1.16)
 
 Package: checksecurity
 Architecture: all
-Depends: cron (>= 3.0pl1-74) | anacron, debconf (>= 0.5) | debconf-2.0, perl (>= 5.8.0), util-linux (>= 2.15~rc1-1)
-Suggests: apt-watch | cron-apt, lockfile-progs, tiger, logcheck, tripwire | integrit | aide | samhain | fcheck, fcron
+Depends: cron (>= 3.0pl1-74) | anacron | fcron, debconf (>= 0.5) | debconf-2.0, perl (>= 5.8.0), util-linux (>= 2.15~rc1-1)
+Recommends: tiger, logcheck, tripwire | integrit | aide | samhain | fcheck
+Suggests: apt-watch | cron-apt, lockfile-progs
 Conflicts: lockfile-progs (<< 0.1.7)
 Replaces: cron
 Provides:

## checksecurity 2.0.14ubuntu1

=== debian/changelog ===
checksecurity (2.0.14ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #668500). Remaining changes:
    - Downgrade all Recommends to Suggests.
    - Downgrade fcron from Depends to Suggest, it is in universe
      and we are already depending on anacron

 -- Angel Abad <angelabad@ubuntu.com>  Fri, 29 Oct 2010 21:36:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: checksecurity
 Section: admin
 Priority: optional
-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
 Standards-Version: 3.6.1
 Build-Depends-Indep: debhelper (>= 4.1.16)
 
 Package: checksecurity
 Architecture: all
-Depends: cron (>= 3.0pl1-74) | anacron | fcron, debconf (>= 0.5) | debconf-2.0, perl (>= 5.8.0), util-linux (>= 2.15~rc1-1)
-Recommends: tiger, logcheck, tripwire | integrit | aide | samhain | fcheck
-Suggests: apt-watch | cron-apt, lockfile-progs
+Depends: cron (>= 3.0pl1-74) | anacron, debconf (>= 0.5) | debconf-2.0, perl (>= 5.8.0), util-linux (>= 2.15~rc1-1)
+Suggests: apt-watch | cron-apt, lockfile-progs, tiger, logcheck, tripwire | integrit | aide | samhain | fcheck, fcron
 Conflicts: lockfile-progs (<< 0.1.7)
 Replaces: cron
 Provides:

=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-
-	# Add here commands to clean up after the build process.
-	dh_clean -k
+	dh_clean
 
 # Build architecture-independent files here.
 binary-arch: build
@@ -25,16 +23,12 @@
 
 # Build architecture-dependent files here.
 binary-indep: build
-#	dh_testversion
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
-
-	# Add here commands to install the files into debian/checksecurity
 	$(MAKE) install PREFIX=$(CURDIR)/debian/checksecurity
 	install -m 644 debian/overrides debian/checksecurity/usr/share/lintian/overrides/checksecurity
-
 	dh_installdocs 
 	dh_installcron
 	dh_installlogrotate

## checksecurity 2.0.15

=== debian/changelog ===
checksecurity (2.0.15) unstable; urgency=medium

  * Fix bug in the CS_NFSAFS definition in etc/check-setuid.conf that prevents
    the script from matching any filesystem. This bug was, actually, making the
    script not do anything in the default configuration.

    Thanks go to Alessandro Vesely for spotting this bug and providing a fix.

  * debian/control: Adjust the maintainer's name

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sat, 28 Sep 2013 23:31:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: checksecurity
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
+Maintainer: Javier Fernández-Sanguino Peña <jfs@computer.org>
 Standards-Version: 3.6.1
 Build-Depends-Indep: debhelper (>= 4.1.16)
 
 Package: checksecurity
 Architecture: all
-Depends: cron (>= 3.0pl1-74) | anacron, debconf (>= 0.5) | debconf-2.0, perl (>= 5.8.0), util-linux (>= 2.15~rc1-1)
-Suggests: apt-watch | cron-apt, lockfile-progs, tiger, logcheck, tripwire | integrit | aide | samhain | fcheck, fcron
+Depends: cron (>= 3.0pl1-74) | anacron | fcron, debconf (>= 0.5) | debconf-2.0, perl (>= 5.8.0), util-linux (>= 2.15~rc1-1)
+Recommends: tiger, logcheck, tripwire | integrit | aide | samhain | fcheck
+Suggests: apt-watch | cron-apt, lockfile-progs
 Conflicts: lockfile-progs (<< 0.1.7)
 Replaces: cron
 Provides:

## checksecurity 2.0.15ubuntu1

=== debian/changelog ===
checksecurity (2.0.15ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Downgrade all Recommends to Suggests.
    - Downgrade fcron from Depends to Suggest, it is in universe
      and we are already depending on anacron

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 04 Jun 2014 08:18:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: checksecurity
 Section: admin
 Priority: optional
-Maintainer: Javier Fernández-Sanguino Peña <jfs@computer.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Javier Fernández-Sanguino Peña <jfs@computer.org>
 Standards-Version: 3.6.1
 Build-Depends-Indep: debhelper (>= 4.1.16)
 
 Package: checksecurity
 Architecture: all
-Depends: cron (>= 3.0pl1-74) | anacron | fcron, debconf (>= 0.5) | debconf-2.0, perl (>= 5.8.0), util-linux (>= 2.15~rc1-1)
-Recommends: tiger, logcheck, tripwire | integrit | aide | samhain | fcheck
-Suggests: apt-watch | cron-apt, lockfile-progs
+Depends: cron (>= 3.0pl1-74) | anacron, debconf (>= 0.5) | debconf-2.0, perl (>= 5.8.0), util-linux (>= 2.15~rc1-1)
+Suggests: apt-watch | cron-apt, lockfile-progs, tiger, logcheck, tripwire | integrit | aide | samhain | fcheck, fcron
 Conflicts: lockfile-progs (<< 0.1.7)
 Replaces: cron
 Provides:

## checksecurity 2.0.16+nmu1

=== debian/changelog ===
checksecurity (2.0.16+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use "find -perm /x" instead of "find -perm +x". Closes: #731944

 -- Andreas Metzler <ametzler@debian.org>  Tue, 29 Dec 2015 14:06:01 +0100

checksecurity (2.0.16) unstable; urgency=medium

  * plugins/check-setuid: Prevent error from find by putting
    -ignore_readdir_race as first option (Closes: 714152)
  * plugins/check-iptables-logs, man/check-iptables-logs.8: Add new plugin to
    check for iptables logs and provide information of attacked ports,
    blacklisted hosts (using fail2ban), etc.
  * etc/global-checksecurity.conf: Add information for the new plugin, this is 
    disabled by default (as systems might not have iptables configured and,
    even if enabled, there might not be a log target)
  * man/{check-diskfree.8,check-passwd.8,check-setuid.8}: Clarify that these
    plugins are written to be run by checksecurity. Some of the plugins might 
    not work if missing some environment variables (which are defined by
    checksecurity)
  * man/checksecurity.8: Add a reference to the new plugin check-iptables-logs
  * debian/control: Improve the package description with the recommendations
    made by Justin B Rye (Closes: #688070) 
  * debian/control: Add debsecan to the Recommends, this provides notification
    of vulnerabilities in the system and security updates (Closes: #253097)
  * etc/check-setuid.conf: Exclude more filesystems for the setuid checks as
    are system based filesystems
  * debian/po/tr.po: Add Turkish translation provided by Mert Dirik 
    (Closes: #759874)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sat, 21 Feb 2015 15:35:45 +0100

## checksecurity 2.0.16+nmu1ubuntu1

=== debian/changelog ===
checksecurity (2.0.16+nmu1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable (LP: #1555357). Remaining changes:
    - Downgrade all Recommends to Suggests.
  * Do not downgrade logcheck to Suggests, it is in main.
  * Remove fcron from Depends, it is not in the archive.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 09 Mar 2016 12:45:49 -0800

=== debian/control ===
Source: checksecurity
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Javier Fernández-Sanguino Peña <jfs@computer.org>
Standards-Version: 3.6.1
Build-Depends-Indep: debhelper (>= 4.1.16)

Package: checksecurity
Architecture: all
Depends: cron (>= 3.0pl1-74) | anacron, debconf (>= 0.5) | debconf-2.0, perl (>= 5.8.0), util-linux (>= 2.15~rc1-1)
Recommends: logcheck
Suggests: apt-watch | cron-apt, lockfile-progs, tiger, tripwire | integrit | aide | samhain | fcheck, debsecan
Conflicts: lockfile-progs (<< 0.1.7)
Replaces: cron
Provides:
Description: basic system security checks
 Checksecurity can periodically do some very basic system security checks:
 .
    * check-setuid  - scans for insecurely mounted remote file systems,
      and tracks changes in setuid programs;
    * check-sockets - tracks changes in open ports to detect rogue programs;
    * check-passwd  - scans for empty or duplicate system accounts;
    * check-disfree - scans for mounted filesystems nearing capacity;
    * check-iptables-logs -  scans logs generated by iptables and look
      for intrusion attempts.
 .
 Be aware that these minimal set of checks are no substitute for a full
 security auditing and integrity checking system.
 .
 In addition to these checks you are encourage to install additional packages
 (listed in "Recommends") to provide more information concerning the security
 or vulnerability of your system.
 .
 Installing the suggested package lockfile-progs can help to prevent
 the cron jobs running multiple times if something gets jammed.

## checksecurity 2.0.16+nmu2

=== debian/changelog ===
checksecurity (2.0.16+nmu2) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 19:17:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: checksecurity
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Javier Fernández-Sanguino Peña <jfs@computer.org>
+Maintainer: Javier Fernández-Sanguino Peña <jfs@computer.org>
 Standards-Version: 3.6.1
 Build-Depends-Indep: debhelper (>= 4.1.16)
 
 Package: checksecurity
 Architecture: all
-Depends: cron (>= 3.0pl1-74) | anacron, debconf (>= 0.5) | debconf-2.0, perl (>= 5.8.0), util-linux (>= 2.15~rc1-1)
-Recommends: logcheck
-Suggests: apt-watch | cron-apt, lockfile-progs, tiger, tripwire | integrit | aide | samhain | fcheck, debsecan
+Depends: cron (>= 3.0pl1-74) | anacron | fcron, debconf (>= 0.5) | debconf-2.0, perl (>= 5.8.0), util-linux (>= 2.15~rc1-1)
+Recommends: tiger, logcheck, tripwire | integrit | aide | samhain | fcheck, debsecan
+Suggests: apt-watch | cron-apt, lockfile-progs
 Conflicts: lockfile-progs (<< 0.1.7)
 Replaces: cron
 Provides:

## checksecurity 2.0.16+nmu3

=== debian/changelog ===
checksecurity (2.0.16+nmu3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "missing required debian/rules targets build-arch and/or build-
    indep": Add targets to debian/rules.
    (Closes: #999082)
  * Fix "Removal of obsolete debhelper compat 5 and 6 in bookworm":
    Bump to 7 in debian/{compat,control}.
    (Closes: #965448)
  * Fix some grave packaging errors:
    - move debhelper from Build-Depends-Indep to Build-Depends
    - remove temporary files debian/postrm.debhelper and debian/substvars from
      source package

 -- gregor herrmann <gregoa@debian.org>  Sun, 26 Dec 2021 01:56:10 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 	touch build-stamp
@@ -46,4 +48,4 @@
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary
+.PHONY: build-inddep build-arch build clean binary-indep binary-arch binary

## checksecurity 2.0.16+nmu3ubuntu1

=== debian/changelog ===
checksecurity (2.0.16+nmu3ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Downgrade all Recommends to Suggests, except logcheck (it is in main)
  * Dropped changes:
    - Remove fcron from Depends, it is not in the archive. [no more needed]

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 24 Mar 2022 14:21:33 +0100

## checksecurity 2.0.16+nmu4

=== debian/changelog ===
checksecurity (2.0.16+nmu4) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007335)

 -- Bastian Germann <bage@debian.org>  Fri, 13 Oct 2023 19:08:08 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Javier Fernández-Sanguino Peña <jfs@computer.org>
 Standards-Version: 3.6.1
-Build-Depends-Indep: debhelper (>= 4.1.16)
+Build-Depends: debhelper (>= 7)
 
 Package: checksecurity
 Architecture: all

## checksecurity 2.0.16+nmu4ubuntu1

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,9 @@
 	cp man/check-passwd.8 $(PREFIX)/usr/share/man/man8
 	cp man/check-setuid.8 $(PREFIX)/usr/share/man/man8
 	cp etc/check-setuid.conf $(CONFDIR)/checksecurity
+	cp etc/check-socket.conf $(CONFDIR)/checksecurity
 	chmod 744 $(CONFDIR)/checksecurity/check-setuid.conf
+	chmod 744 $(CONFDIR)/checksecurity/check-socket.conf
 	cp etc/check-passwd.conf $(CONFDIR)/checksecurity
 	chmod 744 $(CONFDIR)/checksecurity/check-passwd.conf
 	cp etc/check-diskfree.conf $(CONFDIR)/checksecurity

=== debian/changelog ===
checksecurity (2.0.16+nmu4ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040370). Remaining changes:
    - d/control: Downgrade all Recommends to Suggests, except logcheck

 -- Mitchell Dzurick <mitchell.dzurick@canonical.com>  Thu, 09 Nov 2023 14:06:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: checksecurity
 Section: admin
 Priority: optional
-Maintainer: Javier Fernández-Sanguino Peña <jfs@computer.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Javier Fernández-Sanguino Peña <jfs@computer.org>
 Standards-Version: 3.6.1
 Build-Depends: debhelper (>= 7)
 
 Package: checksecurity
 Architecture: all
 Depends: cron (>= 3.0pl1-74) | anacron | fcron, debconf (>= 0.5) | debconf-2.0, perl (>= 5.8.0), util-linux (>= 2.15~rc1-1)
-Recommends: tiger, logcheck, tripwire | integrit | aide | samhain | fcheck, debsecan
-Suggests: apt-watch | cron-apt, lockfile-progs
+Recommends: logcheck
+Suggests: apt-watch | cron-apt, lockfile-progs, tiger, tripwire | integrit | aide | samhain | fcheck, debsecan
 Conflicts: lockfile-progs (<< 0.1.7)
 Replaces: cron
 Provides:

## checksecurity 2.0.18

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,8 @@
 CONFDIR=$(PREFIX)/etc
 PLUGINDIR=$(PREFIX)/usr/share/checksecurity
 
+all:
+	echo "There is nothing to buidl for this architecture all package"
 
 install: clean
 	install -d $(PREFIX)/usr/sbin
@@ -17,7 +19,6 @@
 	install -d $(CONFDIR)/checksecurity
 	install -d $(PLUGINDIR)
 	cp bin/checksecurity $(PREFIX)/usr/sbin
-	chown root:root $(PREFIX)/usr/sbin/checksecurity
 	chmod 755 $(PREFIX)/usr/sbin/checksecurity 
 	cp man/checksecurity.8 $(PREFIX)/usr/share/man/man8
 	cp man/check-diskfree.8 $(PREFIX)/usr/share/man/man8
@@ -33,7 +34,6 @@
 	chmod 744 $(CONFDIR)/checksecurity/check-diskfree.conf
 	cp etc/global-checksecurity.conf $(CONFDIR)/checksecurity.conf
 	cp plugins/check-* $(PLUGINDIR)
-	chown root:root $(PLUGINDIR)/check-*
 	chmod 755 $(PLUGINDIR)/check-*
 	chmod -x $(CONFDIR)/checksecurity/*.conf

=== debian/changelog ===
checksecurity (2.0.18) unstable; urgency=medium

  [ Richard Lewis ]
  * Team upload.
  * postrm: Avoid a non-zero exit if there is nothing to purge
    (Closes: #1092611)

 -- Richard Lewis <richard.lewis.debian@googlemail.com>  Wed, 05 Feb 2025 18:10:05 +0000

checksecurity (2.0.17) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Maintain package in Debian team
  * Drop debconf templates that are caring for the 20 year old split from the
    cron package.  All users of this package should come from a previous version
    of checksecurity an not from some cron version that is featuring the old
    configuration file.  This will reduce the maintenance burden for
    translations
    Closes: #388874, #1031492
  * Short dh (including providing all target for main Makefile)
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Add missing ${misc:Depends} to Depends for checksecurity.
  * Use set -e rather than passing -e on the shebang-line.
  * Fix day-of-week for changelog entries 2.0.2, 2.0.1, 1.0.2.
  * debian/preinst: set -e
    Closes: #866294
  * Remove now unused lintian-overrides
  * Add lintian-override: spare-manual-page,
                          missing-systemd-timer-for-cron-script
  * Adjusting Recommends/Suggests
    Closes: #988348
  * Adjust dependencies regarding cron providing packages
    Closes: #798235
  * d/copyright: DEP5

  [ Niels Thykier ] 
  * Add "Rules-Requires-Root: no" and make package build without requiring
    root. (Closes: #1089302)

  [ Javier Fernández-Sanguino Peña ]
  * Use "date --iso-8601" instead of "date '+%D %T'" in the plugins
    check-diskfree, check-setuid, and check-sockets (in the subject of emails
    to use standard date formats (Closes: #1091723)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Tue, 31 Dec 2024 19:27:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,25 @@
 Source: checksecurity
+Maintainer: Javier Fernández-Sanguino Peña <jfs@computer.org>
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Javier Fernández-Sanguino Peña <jfs@computer.org>
-Standards-Version: 3.6.1
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/debian/checksecurity
+Vcs-Git: https://salsa.debian.org/debian/checksecurity.git
+Rules-Requires-Root: no
 
 Package: checksecurity
 Architecture: all
-Depends: cron (>= 3.0pl1-74) | anacron | fcron, debconf (>= 0.5) | debconf-2.0, perl (>= 5.8.0), util-linux (>= 2.15~rc1-1)
+Depends: cron | systemd-cron | anacron,
+         ${perl:Depends},
+         ${misc:Depends}
 Recommends: logcheck
-Suggests: apt-watch | cron-apt, lockfile-progs, tiger, tripwire | integrit | aide | samhain | fcheck, debsecan
-Conflicts: lockfile-progs (<< 0.1.7)
+Suggests: apt-watch | cron-apt,
+          lockfile-progs,
+          tiger,
+          tripwire | integrit | aide | samhain | fcheck,
+          debsecan
 Replaces: cron
-Provides:
 Description: basic system security checks
  Checksecurity can periodically do some very basic system security checks:
  .

=== debian/rules ===
#!/usr/bin/make -f
#
# Rules file for checksecurity
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=$(CURDIR)/debian/checksecurity

## checksecurity 2.0.18build1

=== debian/changelog ===
checksecurity (2.0.18build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 06 Dec 2025 10:39:18 +0100
